/*************************************************************/
/* Copyright (C) 2011 OSS Nokalva, Inc.  All rights reserved.*/
/*************************************************************/

/* THIS FILE IS PROPRIETARY MATERIAL OF OSS NOKALVA, INC.
 * AND MAY BE USED ONLY BY DIRECT LICENSEES OF OSS NOKALVA, INC.
 * THIS FILE MAY NOT BE DISTRIBUTED. */

/* Generated for: Testing Technologies IST GmbH, Berlin, Germany - License 11335 on Linux */
/* Abstract syntax: cam */
/* ASN.1 Java project: org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.Libitscam_asn1 */
/* Created: Fri Apr 15 16:16:01 2011 */
/* ASN.1 Compiler for Java version: 4.0 */
/* ASN.1 compiler options and file names specified:
 * -output org.etsi.its.codec.tool.testingtech.LibItsCam_asn1 -nolistingfile
 * -nomodlistingfile -shortennames -constraints -nouserconstraints -valuerefs
 * -debug -nopedantic -noinformatorymessages -uper -root -keepnames
 * -norelaySafe -noparamtypesuperclass -jiaapi -autoencdec -messageFormat emacs
 * /tmp/TTthree-dte/oss20212gen/LibItsCam_asn1.gen DENM.asn CAM.asn
 */


package org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions;

import com.oss.asn1.*;
import com.oss.metadata.*;
import org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.*;

/**
 * Define the ASN1 Type ActionID from ASN1 Module DENM_PDU_Descriptions.
 * @see Sequence
 */

public class ActionID extends Sequence {
    
    /**
     * The default constructor.
     */
    public ActionID()
    {
    }
    
    /**
     * Construct with AbstractData components.
     */
    public ActionID(StationID stationID, SequenceNo sequenceNo)
    {
	setStationID(stationID);
	setSequenceNo(sequenceNo);
    }
    
    public void initComponents()
    {
	mComponents[0] = new StationID();
	mComponents[1] = new SequenceNo();
    }
    
    // Instance initializer
    {
	mComponents = new AbstractData[2];
    }
    
    // Method to create a specific component instance
    public AbstractData createInstance(int index)
    {
	switch (index) {
	    case 0:
		return new StationID();
	    case 1:
		return new SequenceNo();
	    default:
		throw new InternalError("AbstractCollection.createInstance()");
	}
	
    }
    
    
    // Methods for field "stationID"
    public StationID getStationID()
    {
	return (StationID)mComponents[0];
    }
    
    public void setStationID(StationID stationID)
    {
	mComponents[0] = stationID;
    }
    
    
    // Methods for field "sequenceNo"
    public SequenceNo getSequenceNo()
    {
	return (SequenceNo)mComponents[1];
    }
    
    public void setSequenceNo(SequenceNo sequenceNo)
    {
	mComponents[1] = sequenceNo;
    }
    
    
    /**
     * Initialize the type descriptor.
     */
    private static final SequenceInfo c_typeinfo = new SequenceInfo (
	new Tags (
	    new short[] {
		0x0010
	    }
	),
	new QName (
	    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
	    "ActionID"
	),
	new QName (
	    "DENM-PDU-Descriptions",
	    "ActionID"
	),
	12314,
	null,
	new Fields (
	    new SequenceFieldInfo[] {
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new IntegerInfo (
			    new Tags (
				new short[] {
				    (short)0x8000
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				"StationID"
			    ),
			    new QName (
				"DENM-PDU-Descriptions",
				"StationID"
			    ),
			    12314,
			    new ValueRangeConstraint (
				new AbstractBounds(
				    new StationID(0), 
				    new StationID(4294967295L),
				    0
				)
			    ),
			    new Bounds (
				new java.lang.Long(0),
				new java.lang.Long(4294967295L)
			    ),
			    null
			)
		    ),
		    "stationID",
		    0,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new IntegerInfo (
			    new Tags (
				new short[] {
				    (short)0x8001
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				"SequenceNo"
			    ),
			    new QName (
				"DENM-PDU-Descriptions",
				"SequenceNo"
			    ),
			    12314,
			    new ValueRangeConstraint (
				new AbstractBounds(
				    new SequenceNo(0), 
				    new SequenceNo(65535),
				    0
				)
			    ),
			    new Bounds (
				new java.lang.Long(0),
				new java.lang.Long(65535)
			    ),
			    null
			)
		    ),
		    "sequenceNo",
		    1,
		    2,
		    null
		)
	    }
	),
	0,
	new TagDecoders (
	    new TagDecoder[] {
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8000, 0)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8001, 1)
		    }
		)
	    }
	),
	0
    );
    
    /**
     * Get the type descriptor (TypeInfo) of 'this' ActionID object.
     */
    public TypeInfo getTypeInfo()
    {
	return c_typeinfo;
    }
    
    /**
     * Get the static type descriptor (TypeInfo) of 'this' ActionID object.
     */
    public static TypeInfo getStaticTypeInfo()
    {
	return c_typeinfo;
    }
    
} // End class definition for ActionID
