/*************************************************************/
/* Copyright (C) 2011 OSS Nokalva, Inc.  All rights reserved.*/
/*************************************************************/

/* THIS FILE IS PROPRIETARY MATERIAL OF OSS NOKALVA, INC.
 * AND MAY BE USED ONLY BY DIRECT LICENSEES OF OSS NOKALVA, INC.
 * THIS FILE MAY NOT BE DISTRIBUTED. */

/* Generated for: Testing Technologies IST GmbH, Berlin, Germany - License 11335 on Linux */
/* Abstract syntax: cam */
/* ASN.1 Java project: org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.Libitscam_asn1 */
/* Created: Fri Apr 15 16:16:01 2011 */
/* ASN.1 Compiler for Java version: 4.0 */
/* ASN.1 compiler options and file names specified:
 * -output org.etsi.its.codec.tool.testingtech.LibItsCam_asn1 -nolistingfile
 * -nomodlistingfile -shortennames -constraints -nouserconstraints -valuerefs
 * -debug -nopedantic -noinformatorymessages -uper -root -keepnames
 * -norelaySafe -noparamtypesuperclass -jiaapi -autoencdec -messageFormat emacs
 * /tmp/TTthree-dte/oss20212gen/LibItsCam_asn1.gen DENM.asn CAM.asn
 */


package org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions;

import com.oss.asn1.*;
import com.oss.metadata.*;
import org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.*;

/**
 * Define the ASN1 Type WiperSystemFront from ASN1 Module DENM_PDU_Descriptions.
 * @see Enumerated
 */

public final class WiperSystemFront extends Enumerated {
    
    /**
     * The default constructor.
     */
    private WiperSystemFront()
    {
	super(cFirstNumber);
    }
    
    protected WiperSystemFront(long value)
    {
	super(value);
    }
    
    // Named list definitions.
    public static final WiperSystemFront idle =
	new WiperSystemFront(0);
    public static final WiperSystemFront interval =
	new WiperSystemFront(1);
    public static final WiperSystemFront normal =
	new WiperSystemFront(2);
    public static final WiperSystemFront fast =
	new WiperSystemFront(3);
    public static final WiperSystemFront washerActive =
	new WiperSystemFront(4);
    private final static WiperSystemFront cNamedNumbers[] = {
	 idle, 
	 interval, 
	 normal, 
	 fast, 
	 washerActive
    };
    protected final static long cFirstNumber = 0;
    protected final static boolean cLinearNumbers = false;
    
    public Enumerated[] getNamedNumbers()
    {
	return cNamedNumbers;
    }
    
    public boolean hasLinearNumbers()
    {
	return cLinearNumbers;
    }
    
    public long getFirstNumber()
    {
	return cFirstNumber;
    }
    
    public static WiperSystemFront valueOf(long value)
    {
	return (WiperSystemFront)idle.lookupValue(value);
    }
    
    /**
     * Initialize the type descriptor.
     */
    private static final EnumeratedInfo c_typeinfo = new EnumeratedInfo (
	new Tags (
	    new short[] {
		0x000a
	    }
	),
	new QName (
	    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
	    "WiperSystemFront"
	),
	new QName (
	    "DENM-PDU-Descriptions",
	    "WiperSystemFront"
	),
	12314,
	null,
	new MemberList (
	    new MemberListElement[] {
		new MemberListElement (
		    "idle",
		    0
		),
		new MemberListElement (
		    "interval",
		    1
		),
		new MemberListElement (
		    "normal",
		    2
		),
		new MemberListElement (
		    "fast",
		    3
		),
		new MemberListElement (
		    "washerActive",
		    4
		)
	    }
	),
	0,
	idle
    );
    
    /**
     * Get the type descriptor (TypeInfo) of 'this' WiperSystemFront object.
     */
    public TypeInfo getTypeInfo()
    {
	return c_typeinfo;
    }
    
    /**
     * Get the static type descriptor (TypeInfo) of 'this' WiperSystemFront object.
     */
    public static TypeInfo getStaticTypeInfo()
    {
	return c_typeinfo;
    }
    
    /**
     * The type is a PDU.
     */
    public boolean isPDU()
    {
	return true;
    }
    
} // End class definition for WiperSystemFront
